SELECT venta.id_venta,
			 venta.total_venta,
			 (SUM(impuestos.importe) +  venta.subtotal_venta) AS total_calculado,
			 venta.subtotal_venta,
			 SUM(detalle.valor_unitario),
			 SUM(detalle.importe),
			 SUM(detalle.valor_unitario_antes_impuestos),
			 SUM(detalle.importe_antes_impuestos),
			 SUM(impuestos.importe),
			 (SUM(impuestos.importe) +  venta.subtotal_venta)
FROM doc_venta AS venta
INNER JOIN doc_venta_detalle AS detalle
	ON venta.id_venta = detalle.id_venta
INNER JOIN doc_venta_detalle_impuestos AS impuestos
	ON detalle.id_venta = impuestos.id_venta
	AND detalle.codigo_barras = impuestos.codigo_barras
WHERE venta.id_venta IN 
					(1041,1042,1043,1044,1045,1046,1047,1048,1049,1050,1051,1052,1054,1056,1057,1057,1058,1058,1059,1060,1064,1065,1065,1069,1071,1072,1073,1077,
					1078,1079,1082,1083,1084,1084,1085,1086,1087,1088,1089,1089,1098,1099,1100,1101,1103,1104,1105,1105,1105,1109,1114,1115,1116,1117,1118,1119,
					1119,1119,1119,1121,1123,1123,1124,1125,1126,1127,1131,1132,1133,1138,1138,1138,1143,1144,1145,1146,1149,1150,1151,1153,1154,1155,1156,1159,
					1159,1164,1166,1166,1167,1168,1169,1170,1178,1179,1180,1180,1181,1183,1184,1186,1188,1188,1189,1190,1192,1192,1193,1194,1197,1197,1198,1200,
					1202,1203,1205,1206,1207,1213,1213,1214,1216,1217,1217,1218,1219,1219,1220,1220,1220,1221,1222,1223,1224,1224,1225,1226,1226,1227,1230,1231,
					1232,1233,1234,1234,1236,1237,1237,1237,1238,1239,1242,1245,1246,1248,1249,1250,1251,1252,1253,1255,1257,1259,1260,1266,1267,1270,1270,1270,
					1270,1271,1272,1272,1274,1274,1275,1276,1277,1278,1279,1280,1281,1282,1283,1284,1285,1286,1291,1291,1292,1293,1293,1293,1293,1299,1299,1301,
					1301,1301,1301,1301,1301,1302,1302,1302,1302,1302,1305,1309,1316,1317,1318,1319,1321,1324,1324,1327,1328,1329,1330,1331,1331,1333,1335,1337,
					1338,1340,1348,1349,1350,1351,1353,1354,1357,1358,1358,1359,1364,1368,1370,1371,1372,1376,1378,1379,1379,1381,1382,1383,1383,1383,1384,1385,
					1386,1387,1388,1389,1390,1391,1392,1393,1394,1395,1396,1396,1397,1399,1399,1400,1402,1403,1407,1408,1408,1408,1416,1422,1423,1424,1425,1426,
					1427,1427,1428,1430,1431,1432,1433,1434,1435,1436,1437,1439,1441,1442,1443,1445,1445,1447,1447,1449,1449,1450,1451,1452,1453,1454,1454,1455,
					1456,1458,1459,1460,1461,1465,1469,1476,1482,1486,1497,1499,1501,1501,1501,1501,1509,1510,1511,1512,1512,1513,1516,1517,1519,1519,1519,1521,
					1522,1525,1526,1526,1527,1528,1529,1530,1531,1532,1534,1535,1535,1536,1537,1538,1539,1543,1543,1544,1544,1545,1546,1547,1547,1549,1550,1552,
					1553,1555,1558,1561,1562,1567,1568,1572,1575,1581,1582,1582,1583,1584,1586,1587,1588,1589,1590,1591,1592,1593,1594,1595,1596,1597,1599,1605,
					1606,1607,1609,1610,1611,1613,1614,1614,1615,1617,1618,1619,1619,1619,1619,1619,1620,1624,1625,1627,1628,1628,1629,1631,1632,1633,1633,1633,
					1635,1642,1644,1645,1647,1649,1651,1652,1654,1655,1655,1656,1659,1660,1662,1663,1664,1665,1665,1666,1667,1667,1668,1672,1672,1674,1675,1677,
					1677,1678
					)
GROUP BY venta.id_venta
ORDER BY venta.id_venta ASC




